getAgilFiles <- function(path)
{
  files<-list.files((paste(path,"/data/rawfiles",sep="")))
  AgilFiles <<- files[c(grep("*.TXT.GZ$", files),grep("*.txt.gz$", files),grep("*.txt$", files),grep("*.TXT$", files))]
  designo<-read.table(paste(path,"data/design/design.txt",sep="/"),header = TRUE)
  write.table(format(designo, justify="right"),sep="\t", quote=FALSE,
              row.names=F, col.names=T,file="design.tsv")
  return(list(AgilFiles=AgilFiles,designo=designo))
} # reading agilent files
ReadAgilentOneChannel <- function(path)
{ 
  files <<- getAgilFiles(path)
  RFile <- read.maimages(files[[1]],source="agilent",path=paste(path,"/data/rawfiles",sep=""),green.only=T)
  return(list(RFile=RFile,designo=files[[2]]))
} # reading agilent one channel files 

ReadAgilentTwoChannels <- function(path)
{ 
  files <<- getAgilFiles(path)
  RFile <- read.maimages(files[[1]],source="agilent",path=paste(path,"/data/rawfiles",sep=""))
  return(list(RFile=RFile,designo=files[[2]]))
} 
getAgilFilesImported <- function(listcelsfullpath,listfullnames)
{
  files<-listfullnames
  #AgilFiles <<- listcelsfullpath[c(grep("*.TXT.GZ$", files),grep("*.txt.gz$", files),grep("*.txt$", files),grep("*.TXT$", files))]
  AgilFiles <<- listcelsfullpath
  return(list(AgilFiles=AgilFiles))
} # reading agilent files
ReadAgilentOneChannelImported <- function(listcelsfullpath,listfullnames)
{ 
  files <<- getAgilFilesImported(listcelsfullpath,listfullnames)
  RFile <- read.maimages(files[[1]],source="agilent",green.only=T)
  return(list(RFile=RFile))
} # reading agilent one channel files 

ReadAgilentTwoChannelsImported <- function(listcelsfullpath,listfullnames)
{ 
  files <<- getAgilFilesImported(listcelsfullpath,listfullnames)
  RFile <- read.maimages(files[[1]],source="agilent")
  return(list(RFile=RFile))
} 
